For the complete documentation index, see llms.txt. This page is also available as Markdown.

Orders

List orders

get
Authorizations
AuthorizationstringRequired
Query parameters
fromstring · date-timeOptional

Earliest date/time to return (e.g. 2018-01-01T00:00:00Z, UTC)

tostring · date-timeOptional

Latest date/time to return

canvas_user_idintegerOptional

Return only orders for the specified Canvas user ID

completedbooleanOptional

When set, only return orders completed successfully

Responses
200

orders listed

application/json
get/api/v1/orders
GET /api/v1/orders HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Accept: */*
200

orders listed

{
  "orders": [
    {
      "id": 1,
      "full_id": "text",
      "catalog_id": 1,
      "catalog": {
        "id": 1,
        "name": "text"
      },
      "user": {
        "id": 1,
        "name": "text",
        "email": "text"
      },
      "listings": [
        {
          "id": 1,
          "canvas_course_id": 1,
          "title": "text",
          "amount": "text",
          "discounted_amount": "text",
          "catalog_id": 1
        }
      ],
      "promotions": [
        {
          "id": 1,
          "listing_id": 1,
          "code": "text",
          "amount": "text"
        }
      ],
      "payments": [
        {
          "reference_id": "text",
          "status": "text",
          "amount": "text"
        }
      ],
      "total": "text",
      "currency": "text",
      "purchased_at": "text",
      "created_at": "text"
    }
  ]
}

Get a specific order

get
Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Identifier for this order

Responses
200

order found

application/json
get/api/v1/orders/{id}
GET /api/v1/orders/{id} HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Accept: */*
200

order found

{
  "order": {
    "id": 1,
    "full_id": "text",
    "catalog_id": 1,
    "catalog": {
      "id": 1,
      "name": "text"
    },
    "user": {
      "id": 1,
      "name": "text",
      "email": "text"
    },
    "listings": [
      {
        "id": 1,
        "canvas_course_id": 1,
        "title": "text",
        "amount": "text",
        "discounted_amount": "text",
        "catalog_id": 1
      }
    ],
    "promotions": [
      {
        "id": 1,
        "listing_id": 1,
        "code": "text",
        "amount": "text"
      }
    ],
    "payments": [
      {
        "reference_id": "text",
        "status": "text",
        "amount": "text"
      }
    ],
    "total": "text",
    "currency": "text",
    "purchased_at": "text",
    "created_at": "text"
  }
}

Last updated

Was this helpful?